Browse Source

Use Block Storage API v3 instead of API v2

Block Storage API v2 was deprecated during Pike cycle and is being
removed during Xena cycle, and current v3 API should be used instead.

Additional Zuul config for Devstack allows CI to pass which can be
reverted later [1].

[1] https://bugs.launchpad.net/glance/+bug/1938151

Change-Id: Ib66b754f4a0854a0d62d62047a69b04a24434634
changes/13/802413/3
Takashi Kajinami 6 months ago
committed by Bharat Kunwar
parent
commit
67acf2c5e9
  1. 11
      .zuul.yaml
  2. 2
      magnum/common/clients.py

11
.zuul.yaml

@ -49,6 +49,13 @@
- magnum_docker_login
timeout: 2400
- job:
name: magnum-tempest-plugin-tests-api-temporary
parent: magnum-tempest-plugin-tests-api
vars:
devstack_localrc:
GLANCE_LIMIT_IMAGE_SIZE_TOTAL: 5000
- project:
templates:
- openstack-cover-jobs
@ -58,12 +65,12 @@
- release-notes-jobs-python3
check:
jobs:
- magnum-tempest-plugin-tests-api
- magnum-tempest-plugin-tests-api-temporary
- magnum-container-build
gate:
queue: magnum
jobs:
- magnum-tempest-plugin-tests-api
- magnum-tempest-plugin-tests-api-temporary
post:
jobs:
- magnum-container-publish

2
magnum/common/clients.py

@ -13,7 +13,7 @@
# under the License.
from barbicanclient.v1 import client as barbicanclient
from cinderclient.v2 import client as cinder_client
from cinderclient.v3 import client as cinder_client
from glanceclient import client as glanceclient
from heatclient import client as heatclient
from keystoneauth1.exceptions import catalog

Loading…
Cancel
Save